GCLOUD_SERVICE-MANAGEMENT_REMOVE-IAM-POLICY-BINDING(1)

NAME

gcloud service-management remove-iam-policy-binding - remove IAM policy binding for a service

SYNOPSIS

gcloud service-management remove-iam-policy-binding SERVICE --member=MEMBER --role=ROLE [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Removes an IAM policy binding from a service's access policy.

POSITIONAL ARGUMENTS

    SERVICE
        The name of the service from which the member is to be removed.

REQUIRED FLAGS

    --member=MEMBER
        The member to add to the binding. Should be of the form user:user_email (e.g. user:test-user@gmail.com.)

    --role=ROLE
        The role to remove the member from.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command will remove a IAM policy binding for the role of 'roles/servicemanagement.serviceConsumer' for the user 'test-user@gmail.com' on service with identifier 'my-service'
    $ gcloud service-management remove-iam-policy-binding my-service \
        --member='user:test-user@gmail.com' \
        --role='roles/servicemanagement.serviceConsumer'
See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.